// voi22-1_B.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <algorithm>
#include <vector>
#include <string>
#include <iostream>
#include <map>
#include <cmath>
#include <climits>

using namespace std;

int main()
{
	string s;
	cin >> s;
	int q;
	cin >> q;
	vector<int> words;
	words.push_back(0);
	for (int i = 1; i < s.size(); i++)
	{
		if (s[i] < s[i - 1])
		{
			words.push_back(i);
		}
	}
	for (int t = 0; t < q; t++)
	{
		int l, r;
		cin >> l >> r;
		l--;
		r--;
		int posl = lower_bound(words.begin(), words.end(), l) - words.begin();
		int posr = lower_bound(words.begin(), words.end(), r) - words.begin();
		int res = posr - posl + 1;
		if (words[posr] == r) res++;
		if (words[posl] == l) res--;
		cout << res << "\n";
	}
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
